#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

int main()
{
    ios::sync_with_stdio(false);cin.tie(nullptr);
    ll t;cin>>t;
    ll r,k;

    while(t--){
        ll r; k; cin>>r>>k;
        ll mat[r][k];
         if(k!=r) cout<<-1<<endl;

         else{

            for(ll i=0; i<n; i++){
                for(ll j=0; j<n; j++){
                        if(j==0) mat[i][j]=1;
                        else if(i==0) mat[i][j]=1;
                        else if(j>=n-i) mat[i][j]=1;
                        else mat[i][j]=0;
                }
            }
         }
            for(ll i=0; i<r; i++){
            for(ll j=0; j<k;j++){
                cout<<mat[i][j]<<" ";
        }
        }

    }
return 0;
}